### Method

# Ide Page report_error

#### Declaration

    void
    ide_page_report_error (
      IdePage* self,
      const gchar* format,
      ...
    )

#### Description

This function reports an error to the user in the layout view.

`format` should be a printf-style format string followed by the arguments for the format.

Available since: | 3.32
This method is not directly available to language bindings.

#### Parameters

`format` | `const gchar*`
| A printf-style format string.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`...` | ``
| No description available.